明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 351|回复: 8

打开当前编辑文件所在文件夹

[复制链接]
发表于 2021-6-9 00:06 | 显示全部楼层 |阅读模式
  • (初学,,请高手指导,,打开当前编辑文件所在文件夹,,哪里不对?)
  • (setq NHYU(getvar "DWGPREFIX"))
  • (command "shell" "start (NHYU)")

发表于 2021-6-9 08:54 | 显示全部楼层
  1. (defun c:HT_904 ()
  2.   (princ "打开当前图档所在的文件夹")
  3.   (if (= (getvar "DWGTITLED") 0)
  4.     (alert "请先保存文件")
  5.     (startapp (strcat "explorer /select, "
  6.           (getvar "dwgprefix")
  7.           (getvar "dwgname")
  8.           ", /e"
  9.         )
  10.     )
  11.   )
  12.   (princ)
  13. )

评分

参与人数 1明经币 +1 收起 理由
USER2128 + 1 赞一个!

查看全部评分

回复 支持 1 反对 0

使用道具 举报

 楼主| 发表于 2021-6-9 00:06 | 显示全部楼层
不知道哪里错误了?
发表于 2021-6-9 08:30 | 显示全部楼层
(setq NHYU(getvar "DWGPREFIX"))
(startapp "EXPLORER.EXE" "MHYU")
 楼主| 发表于 2021-6-9 09:07 | 显示全部楼层
gaomingabc456 发表于 2021-6-9 08:30
(setq NHYU(getvar "DWGPREFIX"))
(startapp "EXPLORER.EXE" "MHYU")

还是没行,谢谢你
 楼主| 发表于 2021-6-9 12:48 | 显示全部楼层

多谢,,高手指点,非常感谢
发表于 2021-6-10 10:42 | 显示全部楼层
(defun c:Tt ()
??(startapp (strcat "explorer /e,\"" (getvar 'dwgprefix) "\""))
??(princ)
)
发表于 2021-6-13 16:56 | 显示全部楼层
(defun c:fl();将“fl”更改为您要使用的任何命令
(startapp "explorer"(getvar "dwgprefix"))
(PRINC)
)
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2020 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2021-6-16 05:43 , Processed in 0.583264 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表